Contents
Index 🔎︎

# Chr Function

Chr palauttaa merkin, joka vastaa annettua merkkikoodia.

### Syntax:

Chr(lauseke1 As Integer)

### Return value:

merkkijono (String)

### Parameters:

Expression: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value.

When VBA compatibility mode is enabled (OPTION VBASUPPORT 1), Expression is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Chr$-funktiota käytetään lähettämään erityinen ohjauskoodisarja tulostimelle tai muulle tulostuslaitteelle. Sitä voidaan käyttää myös lainausmerkkien lisäämiseen merkkijonolausekkeeseen.

## Error codes:

5 Virheellinen proseduurikutsu

6 Ylivuoto, when VBA compatibility mode is enabled and expression is greater than 255.

### Example:

            Sub ExampleChr
                ' Tämä esimerkki lisää lainausmerkit (ASCII-arvo 34) merkkijonoon.
                MsgBox "Yksi "+ Chr$(34)+"pieni" + Chr$(34)+" matka."
                ' Tulostus näkyy ikkunassa näin: Yksi "pieni" matka.
            End Sub

Aiheeseen liittyvää

ASC